﻿@model eCommerce.Services.Model.Supplier
@{
    ViewBag.Title = "Proveedores";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


<div class="page-header">
    <h1 class="page-title">Proveedores</h1>
    <ol class="breadcrumb">
        <li class="active">Crear / Editar</li>
    </ol>
</div>

<div class="page-content">
    <div class="panel">
        <div class="panel-body">
            <div class="col-md-12">
                <div id="example">
                    @using (Html.BeginForm("SupplierUpdate", "Suppliers", FormMethod.Post, new { @class = "form-horizontal", @autocomplete = "off" }))
                    {
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Razón Social</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Name" value="@Model.Name" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">CUIT</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="CUIT" value="@Model.CUIT" data-plugin="formatter" data-pattern="[[99]]-[[99999999]]-[[9]]" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Dirección</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Address" value="@Model.Address" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Email</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Email" value="@Model.Email" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Teléfono</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="Phone" value="@Model.Phone" data-plugin="formatter" data-pattern="[[99]]-[[9999]]-[[9999]]" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Nombre del Contacto</label>
                            <div class="col-sm-9">
                                <input type="text" class="form-control" name="ContactName" value="@Model.ContactName" />
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">Notas</label>
                            <div class="col-sm-9">
                                <textarea class="form-control" name="Notes" id="Notes" rows="3">@Model.Notes</textarea>
                            </div>
                        </div>
                        <div class="text-right">
                            <button type="submit" class="btn btn-primary btn-success" id="btnSave">Grabar</button>
                            <button type="button" class="btn btn-default" onclick="window.location.href = '/Suppliers'">Cancelar</button>
                            @Html.HiddenFor(model => model.SupplierId)
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</div>


@section Scripts {

    <script type="text/javascript">

        (function () {
            $('.form-horizontal').formValidation({
                framework: "bootstrap",
                button: {
                    selector: '#btnSave',
                    disabled: 'disabled'
                },
                icon: null,
                fields: {
                    Name: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Nombre es requerido.'
                            }
                        }
                    },
                    CUIT: {
                        validators: {
                            notEmpty: {
                                message: 'El campo CUIT es requerido.'
                            }
                        }
                    },
                    Address: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Dirección es requerido.'
                            }
                        }
                    },
                    Email: {
                        validators: {
                            notEmpty: {
                                message: 'El campo Email es requerido.'
                            },
                            emailAddress: {
                                message: 'El Email ingresado es inválido.'
                            }
                        }
                    }
                }
            });
        })();

    </script>
}

